question_id's blog

By question_id, history, 7 years ago, In English

There are two model: 1) Acoustic model

2) Language model

We have a dictionary full of trained voice which will be recognized. Can anyone tell me in which model the recognition happens?

Thanks.

Full text and comments »

  • Vote: I like it
  • -25
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

What Rank one should obtain to get invitation for interview?

Full text and comments »

  • Vote: I like it
  • +7
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

I could not understand the complexity of this series. N/1+N/2+N/3+N/4+.....+N/N.

cAN ANYONE EXPLAIN ME? tHANKS.

Full text and comments »

  • Vote: I like it
  • +4
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

Please, anyone help me on solving the segment tree part of the following problem: http://codeforces.com/contest/589/problem/G

I can handle the Binary Search part.. But the Segment tree part is very hard to me.

Full text and comments »

  • Vote: I like it
  • +1
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

Anyone can Give me Some problems on Articulation Points on Codeforces?

Thanks.

Full text and comments »

  • Vote: I like it
  • +2
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

Can you give me some problems on Ternary Search? I've searched by tagging in codeforces.. But unable to find. Thanks.

Full text and comments »

  • Vote: I like it
  • -16
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

I want to learn Bipartite Matching... I've googled for it.. But I am not getting any appropriate site learn it.. Can anyone provide any tutorial for it? Thanks in advance.

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, history, 8 years ago, In English

I am very much trying to understand iterative dp but not getting it comfortable. I've done many paperwork. For example: For the following problem I can design a solution which run on O(n*k*S) which is not efficient. Can you help me on this that how to understand, find out solution in iterative dp? I can design recursive dp bt can't transform it in iterative dp.

Problem: LightOj-1145

You have N dices; each of them has K faces numbered from 1 to K. Now you have arranged the N dices in a line. You can rotate/flip any dice if you want. How many ways you can set the top faces such that the summation of all the top faces equals S?

Now you are given N, K, S; you have to calculate the total number of ways. Input

Input starts with an integer T (≤ 25), denoting the number of test cases.

Each case contains three integers: N (1 ≤ N ≤ 1000), K (1 ≤ K ≤ 1000) and S (0 ≤ S ≤ 15000). Output

For each case print the case number and the result modulo 100000007.

Sample Input:

5

1 6 3

2 9 8

500 6 1000

800 800 10000

2 100 10

Sample Output:

Case 1: 1

Case 2: 7

Case 3: 57286574

Case 4: 72413502

Case 5: 9

Full text and comments »

  • Vote: I like it
  • -3
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

Can I get some problems which can be solved by dijkstra on codeforces?

Full text and comments »

  • Vote: I like it
  • -2
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

Hi... I am practicing BIT.. Can I get some problems which can be solved using BIT(Binary Indexed Tree) on Codeforces?

Full text and comments »

  • Vote: I like it
  • -1
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

Here I'm facing a lot of problem solving this not getting any tutorial. I'm also can't understand the problem clearly. Can anyone help me on this? http://codeforces.com/problemset/problem/98/A

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

Hi! I've seen many codes where 1e-11 (like this) is used to compare two double numbers. Why we use this? what it we do not use this?

Thanks in advance.

Full text and comments »

  • Vote: I like it
  • -13
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

I need some problems that can be solved using prefix tree/trie in codeforces. I tried tag option to find from problemset menu but it doesn't work.

Full text and comments »

  • Vote: I like it
  • +6
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

I can figure out the short formula many contestant used and in TT(tutorial). Can anyone give me some explanation on this.. sketch etc. Thanks in Advance.

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

I am solving codeforces problems. Now I am trying to solve a problem but again and again I am failing. It is almost 3 days I am working on this problem, figuring out different ideas but every times I am getting failed. I am also doing a lot of sketch but not getting an appropriate algo. Basically, what algo needs for that algo I already know, have seen tag. I have a option to look on other solution/tutorial. But I never feel comfort on this job. I want to know, is it unnecessary to spend too much times for a particular problem although I am figuring out different inefficient solution. What should I do now?

Full text and comments »

  • Vote: I like it
  • +5
  • Vote: I do not like it

By question_id, 9 years ago, In English

I have tried a long time to understand the following problem. I have also read the tutorial ans comments but everything is unclear to me. I have tried it in papers too. But not getting it.Can anyone please help me to understand the following problem? Thanks in advance.

http://codeforces.com/problemset/problem/319/A

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, history, 9 years ago, In English

Hi!! I am facing problem to understand the problem C of following editorial. It will be helpful if anyone help on this: http://codeforces.com/blog/entry/7287

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, 9 years ago, In English

I have tried this problem very much but failed to solve this. I have looked on many codes but failed to understand. Since this problem has no editorial so I can't forward anymore.

Please anyone give me some explanation on this problem. Link: http://codeforces.com/contest/257/problem/C

Thanks.

Full text and comments »

  • Vote: I like it
  • 0
  • Vote: I do not like it

By question_id, 9 years ago, In English

Here is a problem I had been trying in Light Oj.

Problem link: http://paste.ubuntu.com/11060539/ (Since Light OJ need a user id to access)

I could solve it recursively: My solution: http://paste.ubuntu.com/11060583/

Now I want to solve it iteratively. But I am failing to do it. Please explain me how I can do this in iterative process in two dimension array like, int dp[102][10002]:: dp[n][k];

In some code I see to act like this: for(int i=0;i<=n;i++) dp[i][0]=1;

why does it fill,fill dp[i][0]?

Please I need to learn this . I am trying but failing.

Thanks in advance.

Full text and comments »

  • Vote: I like it
  • +1
  • Vote: I do not like it